<?xml version="1.0" encoding="utf-8"?>
<uexplugins>
    <plugin
        uexName="uexIM" version="3.1.14.19" build="2017041401">
        <info>14.19:修复同一用户在PC端发的消息，app端无法同步到对应的离线消息的bug</info>
        <build>14.17:修复撤回相关BUG</build>
        <build>14.16:修复在后台时切换网络再回到前台后无法连接成功的问题</build>
        <build>14.15:收到本地数据库已经存在的message或者收到自己发送的message不会有提示音</build>
        <build>14.14:单聊出席没有时间戳时会获取一条</build>
        <build>14.13:修复收到PC端截图消息崩溃问题</build>
        <build>14.12:修复PCIM联调问题</build>
        <build>14.11:临时方案修复丢失离线消息问题</build>
        <build>14.10:修复收到消息没有未读消息数的BUG</build>
        <build>14.9:修复漫游回来的撤回消息的消息类型不正确问题、修复回调时msgTpye有时为string类型的问题</build>
        <build>14.8:获取最近消息列表的回调添加msgSender</build>
        <build>14.7:撤回功能发送方逻辑</build>
        <build>14.6:修复extraInfo没有回调给前端的问题</build>
        <build>14.5:extraInfo字段可以在回调中获取了;type为11时,content为[名片];修复更新最近消息列表时导致group_name字段没有更新的问题</build>
        <build>14.4:修复cbGetGroupChatListJson在无网络情况下没有回调的问题</build>
        <build>14.3:添加发送EPortalCard接口、修改发送位置的接口，规范删除聊天记录的回调</build>
        <build>14.2:修复获取群组列表时的崩溃问题</build>
        <build>14.1:最近消息列表消息的时间戳使用服务器的时间</build>
        <build>14:修复与uexLog插件冲突的问题</build>
        <build>13.99:暂时注释掉请求回执的协议</build>
        <build>13.98:修复空文件下载失败的问题</build>
        <build>13.97:添加缩略图路径</build>
        <build>13.96:修复同时发送多张图片时总有几张失败的问题，修复设置铃声无效的BUG</build>
        <build>13.95:登陆成功后，发送一个出席消息</build>
        <build>13.94:添加设置已读的回调</build>
        <build>13.91:第一次获取群历史消息时获取一条，原来为10条</build>
        <build>13.81:去掉iq包重连log</build>
        <build>13.80:修改获取好友的回调</build>
        <build>13.79:修改获取好友的回调</build>
        <build>13.78:关闭TLS</build>
        <build>13.77:修改写入文件操作</build>
        <build>13.76:添加测试数据</build>
        <build>13.75:添加测试数据</build>
        <build>13.74:添加获取好友log</build>
        <build>13.73:修改获取好友重复回调问题</build>
        <build>13.72:添加isExistsBothRoster判断是否是好友接口</build>
        <build>13.71:修改切换用户，群组不变bug</build>
        <build>13.70:设置IM重连3次</build>
        <build>13.69:新增添加好友、删除好友、获取好友接口</build>
        <build>13.68:修改收到消息sendStatus bug</build>
        <build>13.67:修改群聊下载文件bug</build>
        <build>13.66:测试图文混排崩溃bug</build>
        <build>13.65:修改图文混排崩溃bug</build>
        <build>13.64:修改过滤加群操作</build>
        <build>13.63:过滤加群操作</build>
        <build>13.62:取消本地自动加群测试</build>
        <build>13.61:添加下载log</build>
        <build>13.60:修改单聊加载更多存储bug</build>
        <build>13.59:修改创建群崩溃</build>
        <build>13.58:添加单聊刷新同步服务器消息</build>
        <build>13.57:修改数据顺序以及返回空数据的类型</build>
        <build>13.56:添加群组下拉从服务器获取数据</build>
        <build>13.55:修改加群操作</build>
        <build>13.54:修改加群操作</build>
        <build>13.53:修改加群代理线程</build>
        <build>13.52:修改单聊和群聊同步修改本地时间</build>
        <build>13.51:修改群聊第一次进入群组获取20条数据，同步单聊消息</build>
        <build>13.50:修改群聊消息乱序</build>
        <build>13.49:登录之前断开连接</build>
        <build>13.48:打开TLS</build>
        <build>13.47:关闭TLS</build>
        <build>13.46:修改邀请群成员iq包格式</build>
        <build>13.45:修改最新消息列表置顶字段为空bug</build>
        <build>13.44:添加查看发送成功的iq包</build>
        <build>13.43:添加iq包重发机制</build>
        <build>13.42:关闭TLS</build>
        <build>13.41:添加log</build>
        <build>13.40:注销代码</build>
        <build>13.39:修改退群bug</build>
        <build>13.38:邀请成员加延时</build>
        <build>13.37:添加邀请群成员log,被踢、离线、群解散更新本地群组列表</build>
        <build>13.36:修改第一次获取离线消息不请求数据</build>
        <build>13.35:通过changeGroupNameByAll修改群名主动发送消息,修改查询最新消息列表bug</build>
        <build>13.34:修改获取离线消息的时间戳格式</build>
        <build>13.33:修改消息置顶bug，获取群组列表加群</build>
        <build>13.32:消息同步时间戳修改</build>
        <build>13.31:处理消息同步添加消息回调</build>
        <build>13.30:处理消息同步</build>
        <build>13.29:返回到25版本，添加异常退出重连机制</build>
        <build>13.28:添加消息回执</build>
        <build>13.27:开启TLS</build>
        <build>13.26:添加获取权限接口getUserPrivilege，并根据相关权限设置IM权限；添加发布公告publishNotice和查询公告接口getNotice</build>
        <build>13.25:修改searchMessage查询数据返回文件路径</build>
        <build>13.24:修改searchMessage查询数据bug</build>
        <build>13.23:修改searchMessage查询数据bug</build>
        <build>13.22:修改异步添加群组解决卡顿问题，修改因获取群组慢问题导致的接收消息延迟</build>
        <build>13.21:删除群组取消清除数据的回调</build>
        <build>13.20:修改缓存路径</build>
        <build>13.19:添加图文混排消息类型</build>
        <build>13.18:修改适配多数据类型</build>
        <build>13.17:修改msgId为空</build>
        <build>13.16:修改接收群组消息存储数据内容</build>
        <build>13.15:修改最新消息列表为文件时content没有内容</build>
        <build>13.14:修改接收消息存储数据内容</build>
        <build>13.13:打开TLS</build>
        <build>13.12:修改获取信息列表顺序错误</build>
        <build>13.11:修改获取信息列表崩溃问题</build>
        <build>13.10:修改获取消息列表可以不传时间</build>
        <build>13.9:修改免打扰设置失败问题</build>
        <build>13.8:群名修改后更改数据库</build>
        <build>13.7:打开TLS</build>
        <build>13.6:修改铃声提示方式，修改监听群组名称修改回调onChangeGroupNameJson</build>
        <build>13.5:fix crash about jion group</build>
        <build>13.4:修改cbGetGroupMembersJson回调</build>
        <build>13.3:打开TLS</build>
        <build>13.2:无修改</build>
        <build>13.1:修改回调方法返回json数据</build>
        <build>13:修复退出登录后从后台切回前台自动登录问题(TLS关闭)</build>
        <build>12.5:修改messageTop接口</build>
        <build>12.4:打开TLS开关OA</build>
        <build>12.3:修改接收图片语音路径bug</build>
        <build>12.2:修改群聊搜索不到数据</build>
        <build>12.1:数据库升级</build>
        <build>12:没有聊天记录也可以设置聊天置顶啦(TLS关闭)</build>
        <build>11:initImParam添加tenantID参数，可以设置租户ID(TLS开启)</build>
        <build>10.2:添加getIMHostUrl方法，可以获取打包时配置的服务器地址(TLS关闭)</build>
        <build>9.3:HTTP接口整理调整</build>
        <build>8:初始化接口调整</build>
        <build>7:修复不在线是被加入群组再上线获取不到离线消息的问题</build>
        <build>6:支持发送相册中的视频文件</build>
        <build>5:添加extraInfo字段</build>
        <build>5:同步请求改为异步请求</build>
        <build>4:文件不存在则不发送</build>
        <build>3.1:添加单聊信息回执</build>
        <build>3.0:添加信息搜索和信息置顶功能</build>
        <build>2.2:添加文件上传和下载功能</build>
        <build>2.1:添加发送附近接口</build>>
        <build>2.0:解决离线群组消息收取问题</build>
        <build>1.9:邀请人，踢人，退出群接口修改，更改群名称回调问题</build>
        <build>1.8:添加修改群成员权限接口,添加黑名单回调,群创建成功时返回groupid</build>
        <build>1.7:添加好友状态提醒回调，添加kick回调</build>
        <build>1.6:添加一个账号两个终端同时登陆时，离线提醒</build>
        <build>1.5:添加发送位置接口，发送群聊信息时增加群名字段</build>
        <build>1.4:修改删除最后一条聊天记录时，最近信息记录未删除问题</build>
        <build>1.3:添加删除信息回调接口</build>
        <build>1.2:完善群聊相关接口</build>
        <build>1.1:获取所有信息条数接口、解决uexMCM和uexIM两个库同时打包冲突问题</build>
        <build>1:添加群聊邀请、群聊邀请拒绝、群聊邀请接受、群聊踢人、群聊title接口</build>
        <build>0:EUExIM即时通信插件</build>
    </plugin>
</uexplugins>
